libvisio::VSDCharacterList Class Reference documentation

libvisio::VSDCharacterList Class Reference

`#include <VSDCharacterList.h>`

## Public Member Functions
| VSDCharacterList ()
| VSDCharacterList (const VSDCharacterList &charList)
| ~VSDCharacterList ()
VSDCharacterList & | operator= (const VSDCharacterList &charList)
void | addCharIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript, const boost::optional< double > &scaleWidth)
void | addCharIX (unsigned id, unsigned level, const VSDOptionalCharStyle &style)
unsigned | getCharCount (unsigned id) const
void | setCharCount (unsigned id, unsigned charCount)
void | resetCharCount ()
unsigned | getLevel () const
void | setElementsOrder (const std::vector< unsigned > &m_elementsOrder)
void | handle (VSDCollector *collector) const
void | clear ()
bool | empty () const

## Private Attributes
std::map< unsigned, VSDCharacterListElement * > | m_elements
std::vector< unsigned > | m_elementsOrder

## Constructor & Destructor Documentation

## ◆ VSDCharacterList() [1/2]

libvisio::VSDCharacterList::VSDCharacterList | ( |  | ) |

## ◆ VSDCharacterList() [2/2]

libvisio::VSDCharacterList::VSDCharacterList | ( | const VSDCharacterList & | charList | ) |

## ◆ ~VSDCharacterList()

libvisio::VSDCharacterList::~VSDCharacterList | ( |  | ) |

## Member Function Documentation

## ◆ addCharIX() [1/2]

void libvisio::VSDCharacterList::addCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDOptionalCharStyle & | style )

## ◆ addCharIX() [2/2]

void libvisio::VSDCharacterList::addCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript,
|  | const boost::optional< double > & | scaleWidth )

Referenced by addCharIX().

## ◆ clear()

void libvisio::VSDCharacterList::clear | ( |  | ) |

Referenced by operator=(), and ~VSDCharacterList().

## ◆ empty()

bool libvisio::VSDCharacterList::empty | ( |  | ) | const
| inline

Referenced by handle().

## ◆ getCharCount()

unsigned libvisio::VSDCharacterList::getCharCount | ( | unsigned | id | ) | const

## ◆ getLevel()

unsigned libvisio::VSDCharacterList::getLevel | ( |  | ) | const

## ◆ handle()

void libvisio::VSDCharacterList::handle | ( | VSDCollector * | collector | ) | const

## ◆ operator=()

libvisio::VSDCharacterList & libvisio::VSDCharacterList::operator= | ( | const VSDCharacterList & | charList | ) |

## ◆ resetCharCount()

void libvisio::VSDCharacterList::resetCharCount | ( |  | ) |

## ◆ setCharCount()

void libvisio::VSDCharacterList::setCharCount | ( | unsigned | id,
|  | unsigned | charCount )

## ◆ setElementsOrder()

void libvisio::VSDCharacterList::setElementsOrder | ( | const std::vector< unsigned > & | m_elementsOrder | ) |

## Member Data Documentation

## ◆ m_elements

std::map<unsigned, VSDCharacterListElement *> libvisio::VSDCharacterList::m_elements
| private

Referenced by addCharIX(), clear(), empty(), getCharCount(), getLevel(), handle(), operator=(), resetCharCount(), setCharCount(), VSDCharacterList(), and VSDCharacterList().

## ◆ m_elementsOrder

std::vector<unsigned> libvisio::VSDCharacterList::m_elementsOrder
| private

Referenced by clear(), handle(), operator=(), setElementsOrder(), VSDCharacterList(), and VSDCharacterList().

The documentation for this class was generated from the following files:

- VSDCharacterList.h
- VSDCharacterList.cpp